lv.eparaksts.validation

## Enum SignatureQualification

- java.lang.Object
- - java.lang.Enum<SignatureQualification>
  - - lv.eparaksts.validation.SignatureQualification

- All Implemented Interfaces:
    Serializable, Comparable<SignatureQualification>

      public enum SignatureQualification
      extends Enum<SignatureQualification>

  Signature qualification enumeration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADESEAL` Advanced Electronic Seal (AdESeal).
    `ADESIG` Advanced Electronic Signature (AdESig).
    `QESEAL` Qualified Electronic Seal (QESeal).
    `QESIG` Qualified Electronic Signature (QES).
    `UNKNOWN` Unknown qualification.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SignatureQualification` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SignatureQualification[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QESIG

          public static final SignatureQualification QESIG

      Qualified Electronic Signature (QES).

    - #### QESEAL

          public static final SignatureQualification QESEAL

      Qualified Electronic Seal (QESeal).

    - #### ADESIG

          public static final SignatureQualification ADESIG

      Advanced Electronic Signature (AdESig).

    - #### ADESEAL

          public static final SignatureQualification ADESEAL

      Advanced Electronic Seal (AdESeal).

    - #### UNKNOWN

          public static final SignatureQualification UNKNOWN

      Unknown qualification.

  - ### Method Detail

    - #### values

          public static SignatureQualification[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SignatureQualification c : SignatureQualification.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SignatureQualification valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO